Skip to main content
POST
/
v3
/
recalculateRespondents
Recalculate Respondents
curl --request POST \
  --url https://api.redem.io/v3/recalculateRespondents \
  --header 'Content-Type: application/json' \
  --header 'api-key: <api-key>' \
  --data '
{
  "surveyName": "Customer-Satisfaction-2025",
  "respondentIds": [
    "R123",
    "R124"
  ],
  "selectedChecks": {
    "CHS": true,
    "OES": true
  },
  "oesAllowedLanguages": [
    "en",
    "de"
  ],
  "activateDuplicateDetection": true
}
'
import requests

url = "https://api.redem.io/v3/recalculateRespondents"

payload = {
"surveyName": "Customer-Satisfaction-2025",
"respondentIds": ["R123", "R124"],
"selectedChecks": {
"CHS": True,
"OES": True
},
"oesAllowedLanguages": ["en", "de"],
"activateDuplicateDetection": True
}
headers = {
"api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
surveyName: 'Customer-Satisfaction-2025',
respondentIds: ['R123', 'R124'],
selectedChecks: {CHS: true, OES: true},
oesAllowedLanguages: ['en', 'de'],
activateDuplicateDetection: true
})
};

fetch('https://api.redem.io/v3/recalculateRespondents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Recalculation queued",
  "results": {
    "surveyName": "Customer-Satisfaction-2025",
    "totalRespondents": 2,
    "estimatedCredits": 10
  }
}
This endpoint allows you to recalculate specific quality checks for a list of respondents within a survey. It is useful when you need to re-evaluate respondents with updated check configurations (e.g., enabling OES or Duplicate Detection) or if previous checks were skipped. Prerequisites:
  • The survey must have been created with API version v3.
  • The feature must be enabled and the survey created after the feature release date (2025-12-02).
  • You must provide valid respondentIds belonging to the specified surveyName.
  • The number of respondentIds per request is limited to 100.

Authorizations

api-key
string
header
required

Body

application/json

Request body for recalculating respondents

🔒 Authentication: This endpoint is only accessible via a PRIVATE API key type

surveyName
string
required

The name of the survey.

respondentIds
string[]
required

Array of respondent IDs to recalculate (max 100).

Required array length: 1 - 100 elements
selectedChecks
object
required

Object specifying which quality checks to recalculate. At least one check must be set to true. Omitted checks are treated as false.

oesAllowedLanguages
string[]

Optional list of allowed languages for Open Ended Score check. This will only be processed if 'OES' is set to true in selectedChecks.

activateDuplicateDetection
boolean
default:false

Whether to activate duplicate detection during recalculation. This will only be processed if 'OES' is set to true in selectedChecks.

patternCheckEnabled
boolean
default:false

Whether to activate Grid Question Score pattern checking. This will only be processed if 'GQS' is set to true in selectedChecks.

Response

When a request is successfully processed, the API returns a 200 OK status code along with the result.

success
boolean

Indicates whether the operation was successful.

message
string

A human-readable message.

results
object